## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://dev.writer.com/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```
curl --location --request POST https://api.writer.com/v1/graphs/{graph_id}/file \
 --header "Authorization: Bearer <token>" \
 --header "Content-Type: application/json" \
--data-raw '{"file_id":"string"}'
```

```
import os
from writerai import Writer

client = Writer(
    # This is the default and can be omitted
    api_key=os.environ.get("WRITER_API_KEY"),
)
file = client.graphs.add_file_to_graph(
    graph_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    file_id="file_id",
)
print(file.id)
```

```
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const file = await client.graphs.addFileToGraph('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
    file_id: 'file_id',
  });

console.log(file.id);
}

main();
```

### Response

200

```
{
  "id": "7c36a365-392f-43ba-840d-8f3103b42572",
  "created_at": "2024-07-10T15:16:10.684826Z",
  "name": "example.pdf",
  "graph_id": [
    "50daa3d0-e7d9-44a4-be42-b53e2379ebf7"
  ]
}
```

Knowledge Graphs [deployed to a specific team](https://support.writer.com/article/242-how-to-create-and-manage-a-knowledge-graph#Managing-a-Knowledge-Graph-R4Mg5) aren’t accessible via the API or SDK. To use a Knowledge Graph via the API or SDK, configure it with “All Teams” access in [AI Studio](https://app.writer.com/aistudio).

#### Authorizations

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

#### Path Parameters

graph_id

string<uuid>

required

The unique identifier of the Knowledge Graph.

#### Body

application/json

file_id

string

required

The unique identifier of the file.

#### Response

200 - application/json

id

string

required

A unique identifier of the file.

created_at

string<date-time>

required

The timestamp when the file was uploaded.

name

string

required

The name of the file.

graph_ids

string<uuid>[]

required

A list of Knowledge Graph IDs that the file is associated with.

If you provided a `graphId` during upload, the file is associated with that Knowledge Graph. However, the `graph_ids` field in the upload response is an empty list. The association will be visible in the `graph_ids` list when you retrieve the file using the file retrieval endpoint.
